Subject: Re: Running the 823 FADS board @ 72 MHZ

From: "Richard Hendricks" <[email-masked]>
Date: Fri, 09 Jun 2000 14:41:43 -0500

Most PC100 memory has a Cl latency of 8ns.  The MPC8xx family has a
setup-time of 6ns.  This gives a maximum frequency of 1/(8+6ns) = 71MHz.
I have recently seen "PC100" memory with a Cl latency of 6ns, which
gives
you 83 MHz.  After talking with the design team, they say the setup
time is probably closer to 5.4ns in real-life, which gives 74MHz and
87MHz (theoretically, only looking at setup-time).  This assumes, of
course, no trace delays or excessive bus capacitance.  I wouldn't
productize a design that used its memory outside of spec.  It is fun
to play with though.

Steve Rossi wrote:
>
> I've got a custom 823 board running on the bench at 80MHz 1:1 with PC100 SDRAM
> with no problems but I had to re-program the UPM to do it. 50MHz is a sweet spot
> (at least with my memories), but above 50MHz without re-programming the UPM
> you're probably violating SDRAM timing somewhere.
>
> Steve
>
> Richard Hendricks wrote:
>
> > I do not know of any *development* board that is running the faster
> > speed CPU's in 1:1 mode.  I *do* know several customers are running
> > their designs at 66 MHz 1:1.  There is also at least 1 customer I
> > know of running 75 Mhz 1:1 without problems.  I wrote an application
> > note describing how to do a high-speed SDRAM interface to the MPC823.
> > Hint: PC66 will NOT work at 66 MHz.  PC100 in most cases won't even
> > work at 75 MHz.  If you are interested in the app note, I recently
> > published it on comp.sys.powerpc.tech
> >
> > Kirk Haderlie wrote:
> > >
> > > Are you aware of a development board that is running the faster speed CPU's?
> > > We need the faster speed for our application.
> > >
> > > -----Original Message-----
> > > From: Richard Hendricks [mailto:[email-masked]]
> > > Sent: Friday, June 09, 2000 9:44 AM
> > > To: [email-masked]'
> > > Subject: Re: Running the 823 FADS board @ 72 MHZ
> > >
> > > The FADS board are not designed to run at that speed.  Just for kicks,
> > > I've tried seeing how fast I can go without problems.  At about 60 MHz
> > > the SDRAM no longer works, and 68 MHz the DRAM starts not working.  This
> > > is with the default 50 MHz tables.  With better tuning, it may be
> > > possible
> > > to go higher, but I doubt you could reach 72 MHz with the FADS.
> > >
> > > Kirk Haderlie wrote:
> > > >
> > > > We are trying to run the FADS board @ 72MHz and enjoying the infamous UPM
> > > > tables.  Has anyone successfully run the FADS board at this speed and if
> > > so
> > > > would you be willing to share your UPM tables.  We  are trying to set them
> > > > up for the SDRAM and 60-ns EDO DRAM.
> > > >
> > > > Kirk Haderlie
> > > > [email-masked]
> > > > Vivid Image Engineering
> > > >
> > >
> > > --
> > > MPC823 Applications Engineering Development
> > > Get help from other MPC823 customers on the
> > > comp.sys.powerpc.tech newsgroup!
> > >
> >
> > --
> > MPC823 Applications Engineering Development
> > Get help from other MPC823 customers on the
> > comp.sys.powerpc.tech newsgroup!
> >
>
> --
> -------------------------------------------------------
> Steven K. Rossi                     [email-masked]
> Staff Engineer
> Multimedia Communications Research Laboratory
> Motorola Labs
> -------------------------------------------------------

--
MPC823 Applications Engineering Development
Get help from other MPC823 customers on the
comp.sys.powerpc.tech newsgroup!

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/